uk.gov.hmrc.githubclient

# ExtendedContentsService

###
Related Doc: package githubclient

#### class ExtendedContentsService extends ContentsService

Linear Supertypes
ContentsService, GitHubService, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExtendedContentsService
2. ContentsService
3. GitHubService
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ExtendedContentsService(client: GitHubClient)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def check(arg0: String): Boolean

   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     GitHubService
   Annotations
     @throws( classOf[java.io.IOException] )

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def createFile(orgName: String, repoName: String, pathAndFileName: String, base64EncodedContents: String, commitMessage: String): Unit

8. #### def createPageIterator[V](arg0: PagedRequest[V]): PageIterator[V]

   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     GitHubService

9. #### def createPagedRequest[V](arg0: Int, arg1: Int): PagedRequest[V]

   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     GitHubService

10. #### def createPagedRequest[V](): PagedRequest[V]

    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService

11. #### def createRequest(): GitHubRequest

    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def getAll[V](arg0: PageIterator[V]): List[V]

    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
    Annotations
      @throws( classOf[java.io.IOException] )

16. #### def getAll[V](arg0: PagedRequest[V]): List[V]

    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
    Annotations
      @throws( classOf[java.io.IOException] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def getClient(): GitHubClient

    Definition Classes
      GitHubService

19. #### def getContents(arg0: IRepositoryIdProvider, arg1: String, arg2: String): List[RepositoryContents]

    Definition Classes
      ContentsService
    Annotations
      @throws( classOf[java.io.IOException] )

20. #### def getContents(arg0: IRepositoryIdProvider, arg1: String): List[RepositoryContents]

    Definition Classes
      ContentsService
    Annotations
      @throws( classOf[java.io.IOException] )

21. #### def getContents(arg0: IRepositoryIdProvider): List[RepositoryContents]

    Definition Classes
      ContentsService
    Annotations
      @throws( classOf[java.io.IOException] )

22. #### def getId(arg0: IRepositoryIdProvider): String

    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService

23. #### def getReadme(arg0: IRepositoryIdProvider, arg1: String): RepositoryContents

    Definition Classes
      ContentsService
    Annotations
      @throws( classOf[java.io.IOException] )

24. #### def getReadme(arg0: IRepositoryIdProvider): RepositoryContents

    Definition Classes
      ContentsService
    Annotations
      @throws( classOf[java.lang.Exception] )

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### def verifyRepository(arg0: String, arg1: String): GitHubService

    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ContentsService

### Inherited from GitHubService

### Inherited from AnyRef

### Inherited from Any

### Ungrouped